Manual

Main New Features Options

# New Command-Line Options.

This page covers new features and modifications in version 3.0, compared to the previous release V2.1.

## New Command-Line Options

- -graphedit_old
  Starts the new graph editor (as -graphedit), but does not modify the user interface. The new graph editor utilizes user interface configuration to add entries in the "View" and "Help" menu, so modification can be avoided with this option.
- -nogui
  To start uDraw(Graph) without a user interface which must be done when an application program should be able to configure it with API command gui(configure()).
- -server ?port?
  This option starts uDraw(Graph) as a TCP/IP socket server for API communication with a remote client on the given port or on the default port 2542 if the port is omitted. Details.